// Listbox.h : main header file for the Listbox DLL
//	High Tech BASIC, Copyright (C) TransEra Corp 1999, All Rights Reserved.
// Sven Henze, Tech Soft GmbH

#if !defined(AFX_BUTTON_H__D6D63EC5_3EA4_11D3_A911_00104B9A4FD0__INCLUDED_)
#define AFX_BUTTON_H__D6D63EC5_3EA4_11D3_A911_00104B9A4FD0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
#include "ListboxDlg.h"	// Added by ClassView

//**************************************************************************
// begin prototypes
extern CWnd *g_pWnd;		// global pointer to Dialog
extern long g_Width;				// width of the dialog box
extern long g_Height;				// the height of the window
extern short g_ButtAppear;
extern CString g_Title;			// Window title
extern CString	g_Description;		// Text above buttons will wrap to two lines if too long
extern CString g_Lstrings;
extern CListBox *g_pList;			// global pointer to listbox control


void Initialize(ListboxDlg * Bdlg);
short Showlistbox(long height, long width, short appear, char* title, char* question);
void Setfocus();
void Closelistbox();
void Addstring(char* str);
short Getcount();
void Setsel(short sel);
short Getsel(short sel);
short Getselcount();
void Deletestring(short sel);
void Resetcontent();
void Dirlist( short attr, char * wildcards);
short Findstring( short start, char * search );
short Findstringexact( short start, char * search );
short Gettextlen( short sel );
void Gettext( short sel, char * item );
short Getselitems( short nMaxItems, short* ilist);
short Getcursel();


// end prototypes
//***************************************************************************


/////////////////////////////////////////////////////////////////////////////
// CListBoxApp
// See Listbox.cpp for the implementation of this class
//

class CListBoxApp : public CWinApp
{
public:
	CListBoxApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CButtonApp)
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CButtonApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BUTTON_H__D6D63EC5_3EA4_11D3_A911_00104B9A4FD0__INCLUDED_)
