// Checkbutton.h : main header file for the CHECKBUTTON DLL
//	High Tech BASIC, Copyright (C) TransEra Corp 1999, All Rights Reserved.
// Sven Henze, Tech Soft GmbH 1999

#if !defined(AFX_BUTTON_H__D6D63EC5_3EA4_11D3_A911_00104B9A4FD0__INCLUDED_)
#define AFX_BUTTON_H__D6D63EC5_3EA4_11D3_A911_00104B9A4FD0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
#include "CheckbuttonDlg.h"	// Added by ClassView


#define MINWIDTH 150

//**************************************************************************
// begin prototypes
extern short g_SavePressed;
extern CString g_Title;						// Window title
extern CString	g_Description;				// Text above buttons will wrap to two lines if too long
extern CString g_grouptext;
extern long g_Width;						// width of the dialog box
extern short g_BtnCount;					// the number of buttons desired
extern CString	g_Text[];					// Checkbutton text
extern short *g_pPress;						// pointer into HTBasic memory for updateing user input
extern OPTION g_Option;						// 1 for modal, 2 for threaded variable update, 3 for threaded with signals
extern CheckButtonDlg *g_pBtnDlg;			// global pointer to CheckButton dialog used for setting focus and closing


void Initialize(CheckButtonDlg * Bdlg);
short Showcbutton(short option, short count, long width, short* press, char* title, char* text0, char* text1, char* text2 ,char* text3,
				 char* text4, char* text5, char* text6, char* text7, char* text8, char* text9, char* text10);
void Setfocus();
void Closecbutton();


// end prototypes
//***************************************************************************


/////////////////////////////////////////////////////////////////////////////
// CCheckButtonApp
// See CheckButton.cpp for the implementation of this class
//

class CCheckButtonApp : public CWinApp
{
public:
	CCheckButtonApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCheckButtonApp)
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CCheckButtonApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BUTTON_H__D6D63EC5_3EA4_11D3_A911_00104B9A4FD0__INCLUDED_)
