// Image.h: interface for the Image class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGE_H__96BAEF8A_9817_48C6_88E8_CF58F27085B7__INCLUDED_)
#define AFX_IMAGE_H__96BAEF8A_9817_48C6_88E8_CF58F27085B7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define FILENAMELENGTH 256

class Image  
{
public:
	void EvalRegion(CPoint point);
	void EvalRegionForDrag(CPoint point, BOOL bStartDrag);
	void CreateRegion(short ID,short signal, short AllowDrag);
	void SetDraggingToMouse(CPoint point);
	void Draw(HDC hDC);
	void NoShow(short ID);
	void Show(short ID,short Xpos,short Ypos,DWORD RasterOp);
	short GetID();
	BOOL LoadImage(char * ImageFilename);
	Image * AddImage();
	Image();
	virtual ~Image();

private:
	BOOL m_bAllowDrag;
	BOOL m_bDragging;
	void SetDragging(BOOL bDragging);
	HPALETTE m_hPalette;
	DWORD m_RasterOp;
	BOOL m_bShow;
	BITMAP m_bm;
	HANDLE m_hBitmap;
	Image * m_pNextImage;
	short m_ImageID;
	short m_Signal;
	HRGN m_Region;
	short m_Ypos;
	short m_Xpos;
	char m_ImageFilename[FILENAMELENGTH];
	//CString m_ImageFilename;
	static short sm_NextImageID;
};



#endif // !defined(AFX_IMAGE_H__96BAEF8A_9817_48C6_88E8_CF58F27085B7__INCLUDED_)
