// ChartLine.h: interface for the CChartLine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHARTLINE_H__F39F9A41_D3DE_11D3_AFCF_00104B9A4FD0__INCLUDED_)
#define AFX_CHARTLINE_H__F39F9A41_D3DE_11D3_AFCF_00104B9A4FD0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CChartLine  
{
public:
	void SetSignalBelow(short LineNumber,int Value,short Signal);
	void SetSignalAbove(short LineNumber,int Value,short Signal);
	void SendSignals();
	CChartLine * GetNextLine();
	long * GetDataPtr();
	short GetID();
	void AddToList(CChartLine * pNewLine);
	CChartLine(short LineNumber,long * pData);
	CChartLine();
	virtual ~CChartLine();
	
private:
	short m_SignalBelowNumber;
	short m_SignalAboveNumber;
	int m_SignalBelowValue;
	int m_SignalAboveValue;
	BOOL m_bSignalBelow;
	BOOL m_bSignalAbove;
	short m_LineID;
	CChartLine * m_pNext;
	long * m_pData;
	short m_LineNumber;
	static short m_NextLineID;
	
};

#endif // !defined(AFX_CHARTLINE_H__F39F9A41_D3DE_11D3_AFCF_00104B9A4FD0__INCLUDED_)
