#if !defined(AFX_ListboxDlg_H__D6D63ECC_3EA4_11D3_A911_00104B9A4FD0__INCLUDED_)
#define AFX_ListboxDlg_H__D6D63ECC_3EA4_11D3_A911_00104B9A4FD0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ListboxDlg.h : header file
//  High Tech BASIC, Copyright (C) TransEra Corp 1999, All Rights Reserved.
// Sven Henze, Tech Soft GmbH

#include "adderdlg.h"
#include "editdlg.h"

#define MINHEIGHT 50
#define MAXHEIGHT 400

#define NewDisabled (g_ButtAppear & 0x0001)
#define EditDisabled (g_ButtAppear & 0x0002)
#define DeleteDisabled (g_ButtAppear & 0x0004)
#define NoButtonVisible ((g_ButtAppear & 0x0007) == 0x0007)

#define CancelDisabled (g_ButtAppear & 0x0008)
#define SingleSelection (g_ButtAppear & 0x0010)


/////////////////////////////////////////////////////////////////////////////
// ListboxDlg dialog

class ListboxDlg : public CDialog
{
// Construction
public:
	ListboxDlg(CWnd* pParent = NULL);			// standard constructor

	void AdderBoxDone();
	void EditBoxDone();

// Dialog Data
	//{{AFX_DATA(ListboxDlg)
	enum { IDD = IDD_BTNDLG };
	CListBox	m_List2;
	CListBox	m_List1;
	CButton m_Butt1;
	CButton m_Butt2;
	CButton m_Butt3;
	CButton m_Butt4;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ListboxDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CAdderDlg* m_pModeless;
	CEditDlg*  m_pModeless2;

	// Generated message map functions
	//{{AFX_MSG(ListboxDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OKPressed();
	afx_msg void CancelPressed();
	afx_msg void OnClose();
	afx_msg void OnButton3();
	afx_msg void OnButton2();
	afx_msg void OnButton1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void UserAct(short select);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ListboxDlg_H__D6D63ECC_3EA4_11D3_A911_00104B9A4FD0__INCLUDED_)
