// SliderDlg.cpp : implementation file
//

#include "stdafx.h"
#include "htbslider.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


////////////////////////////////////////////////////////////////////////////
// SliderDlg dialog


SliderDlg::SliderDlg(CWnd* pParent /*=NULL*/)
	: CDialog(SliderDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(SliderDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void SliderDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(SliderDlg)
	DDX_Control(pDX, IDC_SLIDER1, m_Slider);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(SliderDlg, CDialog)
	//{{AFX_MSG_MAP(SliderDlg)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// SliderDlg message handlers

BOOL SliderDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	CWnd* pText;
	
	// set window size and pos
	SetWindowPos(FromHandle(m_hWnd),g_DlgXCor,g_DlgYCor,(g_TextWidth*2)+g_SliderWidth+FOURSPACE,WINDOWHEIGHT,SWP_NOZORDER);

	SetWindowText(g_Title);										// set dialog title


	SetDlgItemText(IDC_DESCRIPTION,g_Description);
	pText = GetDlgItem(IDC_DESCRIPTION);						// get pointer to static text control text
	// set width of static text control
	pText->SetWindowPos(NULL,0,0,(g_TextWidth*2)+g_SliderWidth+TWOSPACE,DOUBLETEXTHEIGHT,SWP_NOZORDER | SWP_NOMOVE);


	SetDlgItemText(IDC_LOWTEXT,g_LowText);						// set static text control text
	pText = GetDlgItem(IDC_LOWTEXT);							// get pointer to static text control text
	pText->SetWindowPos(NULL,0,0,g_TextWidth,TEXTHEIGHT,SWP_NOZORDER | SWP_NOMOVE);	// set width of static text control

	
	// set slider size and pos
	m_Slider.SetWindowPos(FromHandle(m_hWnd),TWOSPACE+g_TextWidth,SLIDERYCORD,g_SliderWidth,SLIDERHEIGHT,SWP_NOZORDER);
	

	SetDlgItemText(IDC_HIGHTEXT,g_HighText);					// set static text control text
	pText = GetDlgItem(IDC_HIGHTEXT);							// get pointer to static text control text
	pText->SetWindowPos(FromHandle(m_hWnd),THREESPACE+g_TextWidth+g_SliderWidth,HIGHTEXTYCORD,
							g_TextWidth,TEXTHEIGHT,SWP_NOZORDER);	// set width of static text control


	m_Slider.SetRange(g_LowVal,g_HighVal);						// set lower and upper range of progress bar

	m_Slider.SetPos(g_LowVal);									// default to lower


	itoa(g_LowVal,g_Value,10);									// convert g_LowVal to string
	SetDlgItemText(IDC_VALUE,g_Value);							// set static text control
	pText = GetDlgItem(IDC_VALUE);								// get pointer to static text control text

	// set width of static text control
	pText->SetWindowPos(NULL,0,0,(g_TextWidth*2)+g_SliderWidth+TWOSPACE,TEXTHEIGHT,SWP_NOZORDER | SWP_NOMOVE);

	SetTimer(1,TIMERVAL,NULL);								// start timer used for updateing by reference
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


void SliderDlg::OnTimer(UINT nIDEvent) 
{	int value;

	value = m_Slider.GetPos();

	itoa(value,g_Value,10);
	SetDlgItemText(IDC_VALUE,g_Value);

	*g_pBasicVar = value;
	
	CDialog::OnTimer(nIDEvent);
}
